Subject: Re: regression from 6.12.48 to 6.12.49: usb wlan adaptor stops working: bisected

From: Wolfgang Walter <[email-masked]>
Date: Tue, 30 Sep 2025 19:56:56 +0200

Am 2025-09-29 15:27, schrieb Greg Kroah-Hartman:
> On Fri, Sep 26, 2025 at 05:54:00PM +0200, Wolfgang Walter wrote:
>> Hello,o
>> after upgrading to 6.12.49 my wlan adapter stops working. It is 
>> detected:
>> 
>> kernel: mt76x2u 4-2:1.0: ASIC revision: 76120044
>> kernel: mt76x2u 4-2:1.0: ROM patch build: 20141115060606a
>> kernel: usb 3-4: reset high-speed USB device number 2 using xhci_hcd
>> kernel: mt76x2u 4-2:1.0: Firmware Version: 0.0.00
>> kernel: mt76x2u 4-2:1.0: Build: 1
>> kernel: mt76x2u 4-2:1.0: Build Time: 201507311614____
>> 
>> but does nor work. The following 2 messages probably are relevant:
>> 
>> kernel: mt76x2u 4-2:1.0: MAC RX failed to stop
>> kernel: mt76x2u 4-2:1.0: MAC RX failed to stop
>> 
>> later I see a lot of
>> 
>> kernel: mt76x2u 4-2:1.0: error: mt76x02u_mcu_wait_resp failed with 
>> -110
>> 
>> 
>> I bisected it down to commit
>> 
>> 9b28ef1e4cc07cdb35da257aa4358d0127168b68
>> usb: xhci: remove option to change a default ring's TRB cycle bit
>> 
>> 
>> 9b28ef1e4cc07cdb35da257aa4358d0127168b68 is the first bad commit
>> commit 9b28ef1e4cc07cdb35da257aa4358d0127168b68
>> Author: Niklas Neronin <[email-masked]>
>> Date:   Wed Sep 17 08:39:07 2025 -0400
>> 
>>     usb: xhci: remove option to change a default ring's TRB cycle bit
>> 
>>     [ Upstream commit e1b0fa863907a61e86acc19ce2d0633941907c8e ]
>> 
>>     The TRB cycle bit indicates TRB ownership by the Host Controller 
>> (HC) or
>>     Host Controller Driver (HCD). New rings are initialized with
>> 'cycle_state'
>>     equal to one, and all its TRBs' cycle bits are set to zero. When
>> handling
>>     ring expansion, set the source ring cycle bits to the same value 
>> as the
>>     destination ring.
>> 
>>     Move the cycle bit setting from xhci_segment_alloc() to
>> xhci_link_rings(),
>>     and remove the 'cycle_state' argument from 
>> xhci_initialize_ring_info().
>>     The xhci_segment_alloc() function uses kzalloc_node() to allocate
>> segments,
>>     ensuring that all TRB cycle bits are initialized to zero.
>> 
>>     Signed-off-by: Niklas Neronin <[email-masked]>
>>     Signed-off-by: Mathias Nyman <[email-masked]>
>>     Link: 
>> https://lore.kernel.org/r/[email-masked]
>>     Signed-off-by: Greg Kroah-Hartman <[email-masked]>
>>     Stable-dep-of: a5c98e8b1398 ("xhci: dbc: Fix full DbC transfer 
>> ring
>> after several reconnects")
>>     Signed-off-by: Sasha Levin <[email-masked]>
>>     Signed-off-by: Greg Kroah-Hartman <[email-masked]>
>> 
>> 
> 
> Does 6.17 also have this problem?
> 
> thanks,
> 
> greg k-h

I built a 6.17 kernel and it works fine, so no, 6.17 does not have this 
problem.

Thanks a lot to you and all kernel developers who make the stable and 
longterm kernels possible. We use them since many years and are very 
happy with them.

Regards
-- 
Wolfgang Walter
Studierendenwerk München Oberbayern
Anstalt des öffentlichen Rechts